import { BaseCurve } from './types';
export declare class Ed25519Curve implements BaseCurve {
    static initialized: boolean;
    static initialize(): Promise<Ed25519Curve>;
    scalarRandom(): bigint;
    scalarReduce(s: bigint): bigint;
    scalarNegate(s: bigint): bigint;
    scalarInvert(s: bigint): bigint;
    scalarAdd(x: bigint, y: bigint): bigint;
    scalarSub(x: bigint, y: bigint): bigint;
    scalarMult(x: bigint, y: bigint): bigint;
    basePointMult(n: bigint): bigint;
    pointAdd(p: bigint, q: bigint): bigint;
    pointMultiply(p: bigint, s: bigint): bigint;
    verify(message: Buffer, signature: Buffer, publicKey: bigint): boolean;
    order(): bigint;
    scalarBytes: number;
    pointBytes: number;
}
//# sourceMappingURL=ed25519.d.ts.map