import { HashCommitDecommit, HashDecommitment } from './types';
/**
 * Create hash commitment and decommietment of a secret value.
 * @param secret The secret value/message.
 * @param r The randomness/nonce to be added to the commmitment.
 * @returns The created commitment and decommitment.
 */
export declare function createCommitment(secret: Buffer, r?: Buffer): HashCommitDecommit;
/**
 * Verify hash commitment and decommietment of a secret value.
 * @param commitment The commitment.
 * @param decommietment The decommitment.
 * @returns True if verification succeeds.
 */
export declare function verifyCommitment(commitment: Buffer, decommietment: HashDecommitment): boolean;
//# sourceMappingURL=hashCommitment.d.ts.map